MONGOC_CLIENT_GET_DATABASE(3)

NAME
mongoc_client_get_database - mongoc_client_get_database()

SYNOPSIS

        mongoc_database_t *
        mongoc_client_get_database (mongoc_client_t *client,
                                    const char *name) BSON_GNUC_WARN_UNUSED_RESULT;

Get a newly allocated mongoc_database_t for the database named name.

TIP:
        Databases are automatically created on the MongoDB server upon insertion of the first document into a collection. There is no need to create a database manually.

PARAMETERS

    •   client: A mongoc_client_t.

    •   name: The name of the database.

RETURNS

A newly allocated mongoc_database_t that should be freed with mongoc_database_destroy() when no longer in use.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc